Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
p01-contact : simply add contact forms in your pages
(2017-06-14, 04:56:55)cuirassier Wrote: Dear friends,
I have a calculation form on my site.
Can I send this form to my email, using p01-contact?

Thank you very much in advance

no - not from scratch....
Reply
hello

i have GetSimple 3.0
and i'm using "p01-contact  0.9.1" (an old version. I konw) plugin.

I have it from 5 years.
It is all ok ...but from 1 year I receive a lot a lot a lot ...of spam messages !! !!

Why?

Is there a solution?

(for 5 years I never had this problem!)
Reply
FYI
Latest version of this plugin doesn't work with PHP 5.3 - Site is broken (until you remove it from the plugins folder).

With debug mode enabled:
Code:
Parse error: syntax error, unexpected '[' in [...]\plugins\p01-contact\src\P01contact.php on line 135
Reply
does anyone know what conditions must be met for the plugin to work properly? Currently, on the php 5.3 version I have a white page. I want to upgrade to a higher (5.6). Does this plugin work on a higher version of php? If so, which one?
Reply
Apparently this plugin now requires PHP 5.4 and up (see my previous post)
Reply
I need some help, I have a little problem with the 1.1.3 version:  The subject is always empty in the mail headder, but filled out in the form?
How can I change the size of the textarea?

PHP 7.2, new gs installation and Innovation theme
Reply
(2019-03-25, 19:24:54)grs Wrote: I need some help, I have a little problem with the 1.1.3 version:  The subject is always empty in the mail headder, but filled out in the form?
How can I change the size of the textarea?

PHP 7.2, new gs installation and Innovation theme

I edit P01contact_Field.php file from p01-contact/src/P01contact_Field.php and there is textarea tag with rows="10" change that number to whatever you want. I just put class"form-control" if using bootstrap ;D.
Reply
Thx, but it doesn't work and it seems that the link/path to the p01contact css is broken?
Strange...

Edit: The installation is in a folder, not root of the webspace, maybe that is a problem?
Reply
We have installed p01contact-1.1.5 in our GetSimple CMS.

Please find this form at our following URL:
http://www.shastras.com/contact/

We tested this Form twice.

askcopy syntax is Not Working.

We are not getting any of the message copy at the sender's email id when we add askcopy to the Syntex and select the same.

Please guide us as to what to do in this regard.

Thanks,

Lakshmanan
Reply
(2019-05-24, 01:54:40)celextel Wrote: askcopy syntax is Not Working.

This issue has been Resolved after Applying Following Fix:
https://github.com/nliautaud/p01contact/pull/46/files

Thanks to the Author of p01-contact Plugin for Providing this Useful Plugin and Support.

Lakshmanan
Reply
Hi,

I am using the form plugin p01-contact.
I need the text labels on the left side of the input bars
so not like this:

Name:
input bar

but like this:

Name: input bar

=================================

Changing the css will not work.

I know I have to change php code inside p01contact_Field.php or in p01contact_Form.php
but I don't know where exactly.

If someone can help me out with this,
thanks in advance.
Reply
hello

i have GetSimple 3.0
and i'm using "p01-contact  0.9.1" (old version. I konw) plugin.

I tried to put  last version 1.1.3 but doens't work.
I have a white page and all my website is a white page !!
(my server ha PHP Version 5.3.29)

So I re-upload 0.9.1 version ....but now the captcha image doesn't appear!!

So now:
- old 0.9.1 version doesn't work ( the captcha image doesn't appear!!)
- the last new 1.1.3 doens't work (I have a white page)

Why?
Please can help me?

:-(
Reply
(2020-01-19, 02:54:54)platinum Wrote: hello

i have GetSimple 3.0
and i'm using "p01-contact  0.9.1" (old version. I konw) plugin.

I tried to put  last version 1.1.3 but doens't work.
I have a white page and all my website is a white page !!
(my server ha PHP Version 5.3.29)

So I re-upload 0.9.1 version ....but now the captcha image doesn't appear!!

So now:
- old 0.9.1 version doesn't work ( the captcha image doesn't appear!!)
- the last new 1.1.3 doens't work (I have a white page)

Why?
Please can help me?

:-(


I found problem for old 0.9.1 version !

I upload again the .htaccess file in plugin folder
...\p01-contact\captcha\.htaccess

and now captcha image works!


the problem is still for the last new 1.1.3

:-(
Reply
try to update php on your server to version 5.4. Everything will work and there will be no problems.
Reply
(2020-01-19, 04:21:44)vixrealitum Wrote: try to update php on your server to version 5.4. Everything will work and there will be no problems.

what is the best last version of p01-contact working on a server with PHP Version 5.3.29 ?

do you know?
Reply
I am doing this for a friend, so please do not hit me because of the old PHP-Version:

PHP Version 5.2.17 - OK


I updated GetSimple to the newest version
than I updated all plugins

with p01, I get this message:

Warning: Unexpected character in input: '\' (ASCII=92) state=1 in /var/www/XXXXX/html/plugins/p01-contact_gs.php on line 17

Parse error: syntax error, unexpected T_STRING in /var/www/XXX/html/plugins/p01-contact_gs.php on line 17

What is this??? What can I do?
|--
Die deutsche GetSimple-Webseite: http://www.Get-Simple.de = the german Get-Simple-Website!
Das deutschsprachige GetSimple-(Unter-)Forum:   http://get-simple.info/forums/forumdisplay.php?fid=18
Reply
Upgrade PHP (or use other plugin or solution). Latest version of this plugin is not even compatible with 5.3.
Reply
(2020-02-21, 02:27:16)Carlos Wrote: Upgrade PHP (or use other plugin or solution). Latest version of this plugin is not even compatible with 5.3.

Dear Carlos,

this plugin always was difficult...

thank you for your answer! After I posted here I remembered what these messages mean.. and I will try to update PHP as soon as possible. But for this my clients must find their hoster-data ; =)

Thanks and have a nice day!

Connie
|--
Die deutsche GetSimple-Webseite: http://www.Get-Simple.de = the german Get-Simple-Website!
Das deutschsprachige GetSimple-(Unter-)Forum:   http://get-simple.info/forums/forumdisplay.php?fid=18
Reply




Users browsing this thread: 1 Guest(s)